#!/usr/bin/env python3
import utils


def setup(interactive=False):
    cmds = [
        'apt install -y software-properties-common',
        'add-apt-repository universe',
        'apt update',
        'apt install -y cockpit packagekit ifupdown',
        'apt purge --auto-remove -y netplan.io',
        'mkdir -p /etc/NetworkManager/conf.d',
        'touch /etc/NetworkManager/conf.d/10-globally-managed-devices.conf',
        'ls /run/systemd/resolve/resolv.conf && rm /etc/resolv.conf && cp /run/systemd/resolve/resolv.conf /etc/resolv.conf',
        'systemctl disable --now systemd-resolved.service',
        'printf "[main]\ndns=default" > /etc/NetworkManager/conf.d/disable-systemd-resolved.conf',
    ]
    utils.run_commands(cmds)
